use frame_support::weights::Weight;

pub trait WeightInfo {
    fn extend_warp() -> Weight;
    fn weave_weft() -> Weight;
    fn pull_evm_thread() -> Weight;
    fn pull_utxo_thread() -> Weight;
}

impl WeightInfo for () {
    fn extend_warp() -> Weight {
        Default::default()
    }
    fn weave_weft() -> Weight {
        Default::default()
    }
    fn pull_evm_thread() -> Weight {
        Default::default()
    }
    fn pull_utxo_thread() -> Weight {
        Default::default()
    }
}
